(*  GREATIS IMAGE EDITOR SUITE DEMO               *)
(*  Copyright (C) 2006-2008 Greatis Software      *)
(*  http://www.greatis.com/delphicb/imgedit/      *)
(*  http://www.greatis.com/delphicb/imgedit/faq/  *)
(*  http://www.greatis.com/bteam.html             *)

unit About;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ShellAPI;

type
  TfrmAbout = class(TForm)
    imgApplication: TImage;
    lblApplication: TLabel;
    imgComponent: TImage;
    lblComponent: TLabel;
    lblComponentInfo: TLabel;
    lblCopyright: TLabel;
    lblWeb: TLabel;
    btnOK: TButton;
    procedure FormCreate(Sender: TObject);
    procedure lblWebClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation

{$R *.DFM}
{$R ImgEdtReg.DCR}

procedure TfrmAbout.FormCreate(Sender: TObject);
begin
  imgApplication.Picture.Icon:=Application.Icon;
  imgComponent.Picture.Bitmap.Handle:=LoadBitmap(HInstance,'TIMAGEEDITOR');
end;

procedure TfrmAbout.lblWebClick(Sender: TObject);
begin
  ShellExecute(Handle,'open',PChar(lblWeb.Caption),nil,nil,SW_SHOWDEFAULT);
end;

end.
