(*  GREATIS RUNTIME FUSION                    *)
(*  unit version 006                          *)
(*  Copyright (C) 2001-2009 Greatis Software  *)
(*  http://www.greatis.com/delphicb/runtime/  *)
(*  http://www.greatis.com/bteam.html         *)

unit RFReg;

interface

{$IFDEF VER100}
{$DEFINE OLDDSGNINTF}
{$ENDIF}
{$IFDEF VER120}
{$DEFINE OLDDSGNINTF}
{$ENDIF}
{$IFDEF VER130}
{$DEFINE OLDDSGNINTF}
{$ENDIF}

{$IFDEF WIN64}
{$DEFINE NOTOOLSAPI}
{$ENDIF}


uses
  {$IFNDEF NOTOOLSAPI}
  {$IFDEF OLDDSGNINTF}
  DsgnIntf,
  {$ELSE OLDDSGNINTF}
  DesignIntf, DesignEditors,
  {$ENDIF OLDDSGNINTF}
  OIDsgn, FDDsgn,
  {$ENDIF NOTOOLSAPI}
  Classes, RunFus;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Runtime Fusion',[TRFDesigner,TRFTree,TRFComboBox,TRFInspector]);
  {$IFNDEF NOTOOLSAPI}
  RegisterComponentEditor(TRFDesigner,TFormDesignerEditor);
  RegisterPropertyEditor(TypeInfo(TComponent),TRFTree,'Root',TOIComponentProperty);
  RegisterPropertyEditor(TypeInfo(TComponent),TRFTree,'Instance',TOIComponentProperty);
  RegisterPropertyEditor(TypeInfo(TComponent),TRFComboBox,'Root',TOIComponentProperty);
  RegisterPropertyEditor(TypeInfo(TComponent),TRFComboBox,'Instance',TOIComponentProperty);
  RegisterPropertyEditor(TypeInfo(TComponent),TRFInspector,'Root',TOIComponentProperty);
  RegisterPropertyEditor(TypeInfo(TComponent),TRFInspector,'Instance',TOIComponentProperty);
  RegisterPropertyEditor(TypeInfo(TComponent),TRFInspector,'DefaultInstance',TOIComponentProperty);
  {$ENDIF NOTOOLSAPI}
end;

end.
